TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RationalForm ( elt-alg^mat X ) -> elt-alg^mat, elt-alg^mat, seq()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3

### Description

<shortdoc> The rational form C of X (with the polynomial corresponding to each block dividing the next one), together with a non-singular matrix T such that T * X * T^-1 = C, and a sequence containing the polynomials corresponding to each block. </shortdoc>

### Examples

x_ma := MatrixAlgebra(Q,3); x_m := Element(x_ma,[1,2,3,4,5,6,7,8,9]); Type(x_m); RationalForm(x_m);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack